Package org.eclipse.m2m.atl.engine.injectors

# Interface Injector

All Known Implementing Classes:
  `TCSInjector`, `XMLInjector`

public interface Injector
The Injector interface.

## Method Summary

Modifier and Type
Method
Description
`Map`
`getParameterTypes()`
returns the list of parameters supported by this injector in the form of a Map with parameter names as keys and type name as value.
`String`
`getPrefix()`
Deprecated.
This information should be in the megamodel.
`ASMModelElement`
`inject(ASMModel target, InputStream source, Map params)`
Performs the injection.
`ASMModelElement`
`inject(ASMModel target, Reader source, Map params)`
Performs the injection.
`void`
`performImportation(ASMModel format, ASMModel extent, InputStream in, String other)`
Deprecated.
The inject method should be used instead of this one.

## Method Details

### getParameterTypes

Map getParameterTypes()
returns the list of parameters supported by this injector in the form of a Map with parameter names as keys and type name as value. Known type names are: "String" "Model"

Returns:
  the Map of parameter types

### inject

ASMModelElement inject(ASMModel target, InputStream source, Map params) throws IOException
Performs the injection.

Parameters:
  `target` - The target model to populate.
  `source` - The source InputStream. Alternative source kinds can be passed in params.
  `params` - A Map of additional parameters. The key is the name.
Returns:
  The root element of the populated model if it exists, any element else.
Throws:
  `IOException`

### inject

ASMModelElement inject(ASMModel target, Reader source, Map params) throws IOException
Performs the injection.

Parameters:
  `target` - The target model to populate.
  `source` - The source Reader. Alternative source kinds can be passed in params.
  `params` - A Map of additional parameters. The key is the name.
Returns:
  The root element of the populated model if it exists, any element else.
Throws:
  `IOException`

### getPrefix

String getPrefix()
Deprecated.
This information should be in the megamodel.

### performImportation

void performImportation(ASMModel format, ASMModel extent, InputStream in, String other) throws IOException
Deprecated.
The inject method should be used instead of this one.

Parameters:
  `format` -
  `extent` -
  `in` -
  `other` -
Throws:
  `IOException`